Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QGraphicsItemGroup.enum_1

    java.lang.Object
      java.lang.Enum<QGraphicsItemGroup.enum_1>
          com.trolltech.qt.gui.QGraphicsItemGroup.enum_1

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGraphicsItemGroup.enum_1>

Enclosing class:
  QGraphicsItemGroup

    public static enum QGraphicsItemGroup.enum_1

extends java.lang.Enum<QGraphicsItemGroup.enum_1>
implements QtEnumerator

Press link for info on QGraphicsItemGroup.enum_1

Enum Constant Summary
`Type`

Method Summary
`static QGraphicsItemGroup.enum_1` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsItemGroup.enum_1` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGraphicsItemGroup.enum_1[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Type

    public static final QGraphicsItemGroup.enum_1 Type

Method Detail

### values

    public static final QGraphicsItemGroup.enum_1[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGraphicsItemGroup.enum_1 c : QGraphicsItemGroup.enum_1.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGraphicsItemGroup.enum_1 valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsItemGroup.enum_1 resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD